aboutsummaryrefslogtreecommitdiff
path: root/install
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2022-06-10 14:14:22 +0200
committerKarel Kočí <cynerd@email.cz>2022-06-10 14:14:22 +0200
commitc5510367db582d1c0683f182dd0e151ea0ab3b5f (patch)
treee43d7d6a4eae8d586ac8b43ef436ae178465bcfe /install
parent3c905d717a331b9be6d7036624378d0617234a82 (diff)
downloadmyconfigs-c5510367db582d1c0683f182dd0e151ea0ab3b5f.tar.gz
myconfigs-c5510367db582d1c0683f182dd0e151ea0ab3b5f.tar.bz2
myconfigs-c5510367db582d1c0683f182dd0e151ea0ab3b5f.zip
Improvements for NixOS
Diffstat (limited to 'install')
-rwxr-xr-xinstall8
1 files changed, 6 insertions, 2 deletions
diff --git a/install b/install
index 86fe425..6c5edbb 100755
--- a/install
+++ b/install
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/usr/bin/env bash
-cd `dirname $0`
+cd "$(dirname "$0")" || exit 1
git submodule update --init --recursive || (echo "Submodule update failed!"; exit 5)
@@ -34,6 +34,7 @@ if ask "gnuscreen" "Install configurations for various utility tools"; then
fi
if ask "ssh" "Install SSH config"; then
+ mkdir -p ~/.cache/ssh # directory for sockets
inst private/ssh_config ~/.ssh/config
inst local/bin/sshvnc ~/.local/bin/sshvnc
fi
@@ -60,6 +61,9 @@ fi
if ask "sync" "Install synchronization"; then
inst local/bin/allsync ~/.local/bin/allsync
+ if [ "$(ps -o comm= 1)" = "systemd" ]; then
+ inst config/systemd/user/allsync.{service,timer} ~/.config/systemd/user/
+ fi
inst private/mbsyncrc ~/.mbsyncrc
inst private/notmuch-config ~/.notmuch-config